## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: mtxclient
Version: 0.10.0
Release: %autorelease

License: MIT
Summary: Client API library for Matrix, built on top of Boost.Asio
URL: https://github.com/Nheko-Reborn/%{name}
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://github.com/Nheko-Reborn/mtxclient/pull/108
Patch100: %{name}-0.12.0-fmt11-fix.patch

BuildRequires: cmake(fmt) >= 9.1.0
BuildRequires: cmake(mpark_variant)
BuildRequires: cmake(nlohmann_json) >= 3.11.0
BuildRequires: cmake(Olm) >= 3.2.12
BuildRequires: cmake(spdlog) >= 1.0.0

BuildRequires: pkgconfig(coeurl) >= 0.3.1
BuildRequires: pkgconfig(libcrypto)
BuildRequires: pkgconfig(libevent)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(re2)
BuildRequires: pkgconfig(zlib)

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: ninja-build

%description
Client API library for the Matrix protocol, built on top of Boost.Asio.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
%{summary}.

%prep
%autosetup -p1

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DHUNTER_ENABLED:BOOL=OFF \
    -DUSE_BUNDLED_COEURL:BOOL=OFF \
    -DUSE_BUNDLED_GTEST:BOOL=OFF \
    -DUSE_BUNDLED_JSON:BOOL=OFF \
    -DUSE_BUNDLED_LIBCURL:BOOL=OFF \
    -DUSE_BUNDLED_LIBEVENT:BOOL=OFF \
    -DUSE_BUNDLED_OLM:BOOL=OFF \
    -DUSE_BUNDLED_OPENSSL:BOOL=OFF \
    -DUSE_BUNDLED_SPDLOG:BOOL=OFF \
    -DASAN:BOOL=OFF \
    -DCOVERAGE:BOOL=OFF \
    -DIWYU:BOOL=OFF \
    -DBUILD_LIB_TESTS:BOOL=OFF \
    -DBUILD_LIB_EXAMPLES:BOOL=OFF
%cmake_build

%install
%cmake_install
ln -s libmatrix_client.so.%{version} %{buildroot}%{_libdir}/libmatrix_client.so.0

%files
%doc README.md
%license LICENSE
%{_libdir}/*.so.0*

%files devel
%{_includedir}/%{name}
%{_includedir}/mtx
%{_includedir}/mtx.hpp
%{_libdir}/cmake/MatrixClient
%{_libdir}/*.so

%changelog
## START: Generated by rpmautospec
* Thu Aug 15 2024 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.10.0-6
- Rebuilt for re2 20240702

* Thu Aug 15 2024 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.10.0-5
- Rebuild for re2-2024-07-02

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Vitaly <vitaly@easycoding.org> - 0.10.0-3
- Added upstream patch with fmt 11 build fix.

* Tue Jul 16 2024 Vitaly <vitaly@easycoding.org> - 0.10.0-2
- Rebuilt due to fmt library update.

* Wed Jun 12 2024 Vitaly <vitaly@easycoding.org> - 0.10.0-1
- Updated to version 0.10.0.

* Tue May 21 2024 František Zatloukal <fzatlouk@redhat.com> - 0.9.2-12
- Rebuilt for spdlog 1.14.1

* Wed Mar 27 2024 Vitaly <vitaly@easycoding.org> - 0.9.2-8
- Rebuilt due to json update.

## END: Generated by rpmautospec
